Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

told I need an update - but can't change my computer...?

  • 1 reply
  • 1 has this problem
  • 3 views
  • آخر ردّ كتبه cor-el

more options

when I do a search Firefox has taken to crashing - tells me I need an update, but my computer can't take an update - what to do?

All Replies (1)

more options

If you can't update beyond OS X 10.5 then you won't be able to switch to a more recent Firefox version. With a PowerPC Mac you could use TenFourFox, but there is no solution for an Intel Mac.

Current Firefox releases require a Mac with an Intel processor and OS X 10.9 or later.

Firefox support has ended for Mac OS X 10.6, 10.7 and 10.8:

Last Firefox for Mac OS X 10.5:

A lot of websites will no longer work with the Firefox 16 version since you do not have support for currently used TLS cipher suites.